Bug 600604 - mdadm usage bug in /sbin/mkdumprd may cause dumps to be lost
Summary: mdadm usage bug in /sbin/mkdumprd may cause dumps to be lost
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: beta
: ---
Assignee: Cong Wang
QA Contact: Han Pingtian
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 5to6kexecTools
TreeView+ depends on / blocked
 
Reported: 2010-06-05 07:16 UTC by Qian Cai
Modified: 2013-09-30 02:15 UTC (History)
6 users (show)

Fixed In Version: kexec-tools-2_0_0-79_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 456154
Environment:
Last Closed: 2010-11-11 14:46:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 4 Han Pingtian 2010-06-23 07:21:47 UTC
Verified with -84.el6. With this faked /etc/mdadm.conf:

# mdadm.conf written out by anaconda
MAILADDR root
AUTO +imsm +1.x -all
ARRAY /dev/md0 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md1 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md2 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md4 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md5 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md6 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md7 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md8 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md9 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md10 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md11 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md12 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md13 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md14 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md15 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md16 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md17 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md18 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md19 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md20 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md21 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md22 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md23 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md24 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md25 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md26 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md27 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md28 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md29 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md30 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md31 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4
ARRAY /dev/md3 level=raid5 num-devices=3 UUID=3ea5cf72:552f6677:231e2956:a010eee4

I got a init of initrd for kdump kernel. With this snip code in the init: 

if [ -f /etc/mdadm.conf ]
then
  for i in `awk '/^ARRAY[[:space:]]/{print $2}' /etc/mdadm.conf`
  do
          MD_MIN=`echo $i | sed -e 's/^[^0-9]*\([0-9]\+\)$/\1/'`
          mknod $i b 9 $MD_MIN
  done
fi

I can get the correct MD_MIN.

Comment 5 releng-rhel@redhat.com 2010-11-11 14:46:05 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.